View Issue Details

IDProjectCategoryView StatusLast Update
0003046SymmetricDSBugpublic2017-04-18 15:44
ReporterrwfullerAssigned Tomaxwellpettit 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.8.18 
Target Version3.8.20Fixed in Version3.8.20 
Summary0003046: Table debug log statement causes slowness
DescriptionIf column does not match in Table.orderColumns(...), a debug log statement is processed even if debug logging is not enabled. This is causing huge performance issue when columns do not match from source in target. This is the line of code in Table.java

if (orderedColumns[i] == null) {
    log.debug("Could not find column with the name of {} on table {}", name, table.toVerboseString());
}

This needs to be wrapped in a log.isDebugEnabled() check.
TagsNo tags attached.

Activities

chenson

2017-04-12 15:40

administrator   ~0000998

Good catch. We'll get right on this one!

Related Changesets

SymmetricDS: 3.8 428d51f2

2017-04-13 13:40:45

maxwellpettit

Details Diff
0003046: Table debug log statement causes slowness
0003046
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Table.java Diff File

Issue History

Date Modified Username Field Change
2017-04-12 15:36 rwfuller New Issue
2017-04-12 15:37 chenson Assigned To => maxwellpettit
2017-04-12 15:37 chenson Status new => assigned
2017-04-12 15:37 chenson Priority normal => high
2017-04-12 15:37 chenson Target Version => 3.8.20
2017-04-12 15:40 chenson Note Added: 0000998
2017-04-13 13:40 maxwellpettit Status assigned => resolved
2017-04-13 13:40 maxwellpettit Fixed in Version => 3.8.20
2017-04-13 13:40 maxwellpettit Resolution open => fixed
2017-04-13 14:00 maxwellpettit Changeset attached => SymmetricDS 3.8 428d51f2
2017-04-18 15:44 chenson Status resolved => closed